bxcommit(1)

NAME
bxcommit - Interactive Tool to Commit Redologs into flat Disk Images for Bochs

SYNOPSIS
bxcommit [options] [flat_filename] [redolog_filename]

DESCRIPTION

Bxcommit is an easy to use console based tool for committing redologs into flat disk images, particularly for use with Bochs. It is completely interactive if no command line arguments are used. It can be switched to a non-interactive mode if all required parameters are given in the command line.

OPTIONS

When you run bxcommit without one of the following options, it will appear in interactive mode and ask for all required parameters to do the commit.

-mode=commit-undoable
    commit undoable redolog to flat file

-mode=growing-to-flat
    create flat disk image from growing disk image

-mode=flat-to-growing
    create growing disk image from flat disk image

-d  delete redolog file after commit

-q  quiet mode (don't prompt for user input)

--help
    display this help and exit

The first filename parameter specifies the name of the flat image that will be created or modified. The second one specifies the name of the redolog.

LICENSE
This program is distributed under the terms of the GNU Lesser General Public License as published by the Free Software Foundation. See the LICENSE and COPYING files located in /usr/share/doc/bochs/ for details on the license and the lack of warranty.

AVAILABILITY
The latest version of this program can be found at:
  http://bochs.sourceforge.net/getcurrent.html

SEE ALSO
bochs(1), bochsrc(5), bochs-dlx(1), bximage(1)

The Bochs IA-32 Emulator site on the World Wide Web:
  http://bochs.sourceforge.net
Online Bochs Documentation
	http://bochs.sourceforge.net/doc/docbook

AUTHORS
Bxcommit was written by Christophe Bothamy, based on Bochs bximage tool source code.

BUGS
Please report all bugs to the bug tracker on our web site. Just go to http://bochs.sourceforge.net, and click "Bug Reports" on the sidebar under "Feedback."

Provide a detailed description of the bug, the version of the program you are running, the operating system you are running the program on and the operating system you are running in the emulator.